<?

/***************************************************************************************
 * Filename: modules/pluginConfigs.php
 *
 * This file is part of the Navigation JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Navigation JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/navigation/
 ***************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_navigation_pluginConfigs extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title="Navigation plugin configuration";

   $this->data->addField("listtype", "boolean", "show");
   $this->data->addField("pagebrowser", "boolean", "show");

   $this->data->addField("treedepth", "nr", "all", "dropdown", 0, 10, 2, "Levels (0 for unlimited)");

   $this->data->addField("listcatnr", "nr", "all", "", false, false, 0, "List category");
   $this->data->addReference("listcatnr", "categories", "nr", "*:0");

   $this->data->addField("templatelist", "localfile", "all", "recursive", false, 255, "", "Navigation template");

   $this->data->group("Navigation", "treedepth", "listcatnr", "templatelist");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templatelist", $_path["project"]["templates"]);
   $this->data->setFileExtensions("templatelist", "html", "htm");

   return $this->customizeFields();
  }

  function customizeFields()
  {
   if($this->data->action=="add"&&$this->data->getValueType("listcatnr")=="default")
   {
    $d=Data::cache("pager_pluginConfigs", "view", "all");
    $d->setShowFields("rootpagenr");
    $d->clearValues();

    $d->setValue("key", "default");

    if($d->get()&&$d->next())
     $this->data->setValue("listcatnr", $d->v["rootpagenr"]);
   }

   return true;
  }
 }
?>
